HFST-FORMAT(1)

NAME
hfst-format - =determine HFST transducer format

SYNOPSIS
hfst-format [OPTIONS...] [INFILE]

DESCRIPTION
determine HFST transducer format

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Input/Output options:

-i, --input=INFILE
    Read input transducer from INFILE

-o, --output=OUTFILE
    Write output transducer to OUTFILE

  Tool-specific options:

-l, --list-formats
    List available transducer formats and print them to standard output

-t, --test-format FMT
    Whether the format FMT is available, exits with 0 if it is, else with 1

If OUTFILE or INFILE is missing or -, standard streams will be used. Format of result depends on format of INFILE

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://github.com/hfst/hfst/issues>

hfst-format home page: <https://github.com/hfst/hfst/wiki/HfstFormat>
General help using HFST software: <https://github.com/hfst/hfst/wiki>
Transducers in (null) are of type SFST (1.4 compatible)

COPYRIGHT
Copyright © 2017 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law. Transducers in (null) are of type SFST (1.4 compatible)